summaryrefslogtreecommitdiffstats
path: root/TOOLS
diff options
context:
space:
mode:
authorarpi <arpi@b3059339-0415-0410-9bf9-f77b7e298cf2>2002-01-17 00:39:27 +0000
committerarpi <arpi@b3059339-0415-0410-9bf9-f77b7e298cf2>2002-01-17 00:39:27 +0000
commit50908bc89ef6c68646225cdf9f3cb12386ef25e7 (patch)
tree159f2f33b3cd7c56276058faa36a2b85a3119362 /TOOLS
parentbcc94e1ad0d7c0522d83f33dcd407c489dc72a7b (diff)
downloadmpv-50908bc89ef6c68646225cdf9f3cb12386ef25e7.tar.bz2
mpv-50908bc89ef6c68646225cdf9f3cb12386ef25e7.tar.xz
console mplayer launcher - by Rich Felker <dalias@aerifal.cx>
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@4205 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'TOOLS')
-rwxr-xr-xTOOLS/mpconsole12
1 files changed, 12 insertions, 0 deletions
diff --git a/TOOLS/mpconsole b/TOOLS/mpconsole
new file mode 100755
index 0000000000..37bb5424fe
--- /dev/null
+++ b/TOOLS/mpconsole
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Script to run mplayer on the console (fbdev/mga_vid/etc) without
+# the console text and/or flashing cursor getting in the way.
+# Written by Rich Felker.
+
+trap "tput cnorm ; exit 1" SIGQUIT SIGINT EXIT
+res=`fbset | grep geometry | sed 's/^ *//'`
+width=`echo "$res" | cut -d' ' -f2`
+height=`echo "$res" | cut -d' ' -f3`
+tput civis
+clear
+mplayer -vo mga -screenw "$width" -screenh "$height" "$@" >/dev/null 2>&1